Bug 239042 - security/softhsm Add DEPRECATED and EXPIRATION_DATE (1.3.8 will reach end-of-life)
Summary: security/softhsm Add DEPRECATED and EXPIRATION_DATE (1.3.8 will reach end-of-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-07-08 12:35 UTC by Jaap Akkerhuis
Modified: 2019-07-15 17:54 UTC (History)
0 users

See Also:
koobs: merge-quarterly?


Attachments
Patch to the Makefile (397 bytes, patch)
2019-07-08 12:35 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2019-07-08 12:35:18 UTC
Created attachment 205581 [details]
Patch to the Makefile

This version of softhsm reaches end of life October 2019.
Therefore I added a DEPRECATION message and an EXPIRATION_DATE to the Makefile

I don't think a REVISION bump is needed but if a committer has a different opinion, go ahead.
Comment 1 commit-hook freebsd_committer 2019-07-15 17:54:19 UTC
A commit references this bug:

Author: swills
Date: Mon Jul 15 17:53:21 UTC 2019
New revision: 506696
URL: https://svnweb.freebsd.org/changeset/ports/506696

Log:
  security/softhsm Add DEPRECATED and EXPIRATION_DATE

  1.3.8 will reach end-of-life

  PR:		239042
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

Changes:
  head/security/softhsm/Makefile
Comment 2 Steve Wills freebsd_committer 2019-07-15 17:54:25 UTC
Committed, thanks!